#******************************************************************************
#  Christophe de Dinechin                                      XROMA PROJECT  
#  XROMA: Makefile.config
#******************************************************************************
#
#  File Description:
#
#    This is the shared makefile configuration and shared targets for all
#    Mozart directories
#
#    This version is for MacOS X Server with Apple's version of gcc
#
#
#
#
#******************************************************************************
#This document is distributed under the Xroma public license.
#See the accompanying license file for information.
#******************************************************************************
#* File       : $RCSFile$
#* Revision   : $Revision: 1.5 $
#* Date       : $Date: 2001/10/29 05:01:57 $
#******************************************************************************

#------------------------------------------------------------------------------
#  Tools
#------------------------------------------------------------------------------

ifndef BUILDENV
BUILDENV=macosx
endif

DEFINES_macosx=-DCONFIG_MACOSX

include $(BROOT)Makefile.config.gnu

# Apple gives them special names...
CC=cc
CXX=c++
CPP=cpp
LD=c++

# And doesn't have the -MG flag
CC_DEPEND=$(CC) $(CPPFLAGS) $(CPPFLAGS_$*) -M -Wp,-MG > _tmp.depend
CXX_DEPEND=$(CXX) $(CPPFLAGS) $(CPPFLAGS_$*) -M -Wp,-MG > _tmp.depend
AS_DEPEND=$(CC) $(CPPFLAGS) $(CPPFLAGS_$*) -M -Wp,-MG > _tmp.depend

include $(BROOT)Makefile.rules
